<%@ Page Language="C#" AutoEventWireup="true" Inherits="Telerik.Web.Examples.Scheduler.Default.DefaultCS"
    CodeFile="DefaultCS.aspx.cs" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/tr/xhtml11/dtd/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Agenda View</title>
    <script type="text/javascript">
		function pageLoad()
		{
			// Attach the tab after each AJAX request.
			attachAgendaTab();
		}
    </script>
</head>
<body class="BODY">
    <form id="Form1" method="post" runat="server">
        <asp:ScriptManager ID="ScriptManager" runat="server" />
        
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="AJAXWrapper">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="AJAXWrapper" LoadingPanelID="RadAjaxLoadingPanel1" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Transparency="30" BackColor="#E0E0E0" InitialDelayTime="500">
            <asp:Image ID="Image1" Style="margin-top: 200px" runat="server" ImageUrl="~/Ajax/Img/loading.gif"
                BorderWidth="0px" AlternateText="Loading"></asp:Image>
        </telerik:RadAjaxLoadingPanel>

		<asp:Panel runat="server" ID="AJAXWrapper">
			<telerik:RadScheduler runat="server" ID="RadScheduler1"
				Width="750px" Skin="Default" EnableEmbeddedSkins="True"
				SelectedDate="2007-03-30" DayStartTime="08:00:00" DayEndTime="18:00:00"                 
				DataKeyField="ID" DataSubjectField="Subject" DataStartField="Start" DataEndField="End"
				DataRecurrenceField="RecurrenceRule" DataRecurrenceParentKeyField="RecurrenceParentID">
			</telerik:RadScheduler>
	        
			<asp:Panel runat="server" ID="AgendaView" Visible="false">
				<p>
					-- AGENDA VIEW --
				</p>
				<asp:LinkButton runat="server" ID="LinkButton2" Text="Back to schedule" OnClick="LinkButton2_Click"></asp:LinkButton>
			</asp:Panel>
	        
			<div id="agendaTabTemplate" style="display: none;">
				<%--This div will serve as a template for the tab. It should contain only a link button with set text.--%>
				<asp:LinkButton runat="server" ID="LinkButton1" Text="Agenda" OnClick="LinkButton1_Click" />
			</div>
         
			<telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
				<script type="text/javascript">
					function attachAgendaTab()
					{
						// Get a reference to the scheduler div
						var schedulerDiv = $get("RadScheduler1");
						if (schedulerDiv) {
						    debugger;
						    var headerDiv = $telerik.getElementByClassName(schedulerDiv, "rsHeader");
							var viewList = headerDiv.getElementsByTagName("ul")[0]; // Find the ul element.
							var lastTab = viewList.getElementsByTagName("li")[2]; // There are 3 li elements for each standard view.
							var agendaTab = document.createElement("li");
							var agendaTabTemplate = $get("agendaTabTemplate");
							
							// Copy the template div into the tab's li element.
							agendaTab.innerHTML = agendaTabTemplate.innerHTML;
							agendaTabTemplate.innerHTML = "";

							// Move the rsLast class to the agenda tab.
							var arrayLast = new Array();
							arrayLast[0] = "rsLast";

							$telerik.removeCssClasses(lastTab, arrayLast);
							$telerik.addCssClasses(agendaTab, arrayLast);
							
							// Append the agenda tab as last.
							viewList.appendChild(agendaTab);
						}
					}
				</script>
			</telerik:RadScriptBlock>
       </asp:Panel>
    </form>
</body>
</html>
